POST /v1/volumes
Authorization
bearerAuth In: header
Header Parameters
8 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Name is required for Shared Volumes. Legacy Local Volume clients may omit it and receive a deterministic immutable-id-derived name.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/volumes" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "name": "string", "type": "local", "driver": "local", "size_gb": 0, "state": "string", "mount_path": "string", "host_id": "string", "attachment_id": "string", "attached_to": "string", "device_path": "string", "auto_attach": {}}{ "id": "string", "name": "string", "type": "local", "driver": "local", "size_gb": 0, "state": "string", "mount_path": "string", "host_id": "string", "attachment_id": "string", "attached_to": "string", "device_path": "string", "auto_attach": {}}{ "error": "string", "code": "volume_capacity_above_max", "requested_gib": 1, "max_gib": 1, "unit": "GiB"}